<?php 
/*
Plugin Name: NoMorePass login
Plugin URI: https://www.nomorepass.com
Description: Plugin to allow login using NoMorePass app
Author: Jose A. Espinosa
Version: 1.0
Author URI: https://www.yoprogramo.com
Text Domain: nomorepass
Domain Path: /languages/
*/

if ( !function_exists( 'add_action' ) ) {
    die();
}

add_action ('login_form',array('NoMorePass','showButton'));
add_action ('login_enqueue_scripts',array('NoMorePass','enqueueScripts'));
load_plugin_textdomain( 'nomorepass', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

class NoMorePass {

	public function __construct() {
		load_plugin_textdomain( 'nomorepass', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
	}
	public static function showButton() {
		// Shows the NMP button under login window
		?><p style="display: block;width: 100%;text-align: center;">
		<a href="javascript:goNMP()"><img src="https://www.nomorepass.com/images/ext/ico-36.png" title="<?php echo __('Enter using NoMorePass','nomorepass')?>" /></a></p>
		<div id="qrcodecont" style="position: absolute; width: 300px; height: 300px; opacity: 1; z-index: 2147483647; background: rgb(255, 255, 255); top: 0px; bottom: 0px; left: 0px; right: 0px; margin: auto; border: 1px solid black; display:none;"><span id="nmp_close" style="float:right;display:inline-block;padding:2px 5px;background:#ccc;" onclick="hideQr()">x</span><div id="qrcode" style="margin: 22px;"></div></div>
		<script>
		function hideQr() {
			NomorePass.stopped=true;
    		document.querySelector("#qrcodecont").style.display='none';
		}
		function goNMP(){
		  NomorePass.fielduser = "#user_login";
		  NomorePass.fieldpass = "#user_pass";
		  NomorePass.qrcode = "#qrcode";
		  NomorePass.callback = function () {
		    document.querySelector('#wp-submit').click();
		  }
		  document.querySelector('#qrcodecont').style.display='block';
		  NomorePass.goqr();
		}
		</script>
		<?php
	}
	public static function registerScripts(){
		wp_register_script('nomorepass_script', plugins_url('public/js/nomorepass.min.js', __FILE__));
	}
	public static function enqueueScripts(){
		if(!wp_script_is('nomorepass_script','registered')) {
            NoMorePass::registerScripts();
        }
        wp_enqueue_script('nomorepass_script');
	}
}